/*
The contents of this file are subject to the Mozilla Public License
Version 1.1 (the "License"); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS"
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is Mixp.

The Initial Developer of the Original Code is Thierry Bzecourt.
Portions created by Thierry Bzecourt are Copyright (C) 1999, 2000
Thierry Bzecourt. All Rights Reserved.

Contributor(s):

Alternatively, the contents of this file may be used under the terms
of the GNU General Public License (the "GPL"), in which case the
provisions of the GPL are applicable instead of those above.  If you
wish to allow use of your version of this file only under the terms of
the GPL and not to allow others to use your version of this file under
the MPL, indicate your decision by deleting the provisions above and
replace them with the notice and other provisions required by the
GPL. If you do not delete the provisions above, a recipient may use
your version of this file under either the MPL or the GPL.
*/

#include <libguile.h>
#include "gexpat.h"

void main_prog(int argc, char *argv[])
{
  if(argc == 1) {

    init_gexpat();
    gh_repl(argc, argv);

  }
  else if(argc == 2) {
   
    init_gexpat();
    gh_eval_file(argv[1]);

  }
  else {
    fprintf(stderr, "Usage: %s [file]\n", argv[0]);
    exit(1);
  }

  exit(0);
}

int
main (int argc, char *argv[])
{
  gh_enter(argc, argv, main_prog);

  return 0; /* never reached */
}
